Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.matlab
Class JMatLinkJDK14

    java.lang.Object
      biouml.plugins.matlab.JMatLinkJDK14

All Implemented Interfaces:
  JMatLinkInterface

public class JMatLinkJDK14
extends java.lang.Object
implements JMatLinkInterface

Constructor Summary
`JMatLinkJDK14()`

Method Summary
`void` | `engClose()`
`void` | `engClose(java.lang.Integer engineId)`
`void` | `engEvalString(java.lang.Integer engineId, java.lang.String script)`
`double[][]` | `engGetArray(java.lang.Integer engineId, java.lang.String arrayS)`
`double[][]` | `engGetArray(java.lang.String arrayS)`
`double[]` | `engGetVector(java.lang.Integer engineId, java.lang.String arrayS)`
`double[]` | `engGetVector(java.lang.String arrayS)`
`java.lang.Integer` | `engOpen()`
`java.lang.Integer` | `engOpenSingleUse()`
`java.lang.String` | `engOutputBuffer()`
`java.lang.String` | `engOutputBuffer(java.lang.Integer engineId)`
`java.lang.String` | `getErrorMessage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMatLinkJDK14

    public JMatLinkJDK14()
                  throws java.lang.Exception

Method Detail

### getErrorMessage

    public java.lang.String getErrorMessage()
                                     throws java.lang.Exception

  Specified by:
    `getErrorMessage` in interface `JMatLinkInterface`
  Throws:
    `java.lang.Exception`

### engOpenSingleUse

    public java.lang.Integer engOpenSingleUse()
                                       throws java.lang.Exception

  Specified by:
    `engOpenSingleUse` in interface `JMatLinkInterface`
  Throws:
    `java.lang.Exception`

### engOpen

    public java.lang.Integer engOpen()
                              throws java.lang.Exception

  Specified by:
    `engOpen` in interface `JMatLinkInterface`
  Throws:
    `java.lang.Exception`

### engEvalString

    public void engEvalString(java.lang.Integer engineId,
                              java.lang.String script)
                       throws java.lang.Exception

  Specified by:
    `engEvalString` in interface `JMatLinkInterface`
  Throws:
    `java.lang.Exception`

### engClose

    public void engClose(java.lang.Integer engineId)
                  throws java.lang.Exception

  Specified by:
    `engClose` in interface `JMatLinkInterface`
  Throws:
    `java.lang.Exception`

### engClose

    public void engClose()
                  throws java.lang.Exception

  Specified by:
    `engClose` in interface `JMatLinkInterface`
  Throws:
    `java.lang.Exception`

### engOutputBuffer

    public java.lang.String engOutputBuffer()
                                     throws java.lang.Exception

  Specified by:
    `engOutputBuffer` in interface `JMatLinkInterface`
  Throws:
    `java.lang.Exception`

### engOutputBuffer

    public java.lang.String engOutputBuffer(java.lang.Integer engineId)
                                     throws java.lang.Exception

  Specified by:
    `engOutputBuffer` in interface `JMatLinkInterface`
  Throws:
    `java.lang.Exception`

### engGetVector

    public double[] engGetVector(java.lang.String arrayS)
                          throws java.lang.Exception

  Specified by:
    `engGetVector` in interface `JMatLinkInterface`
  Throws:
    `java.lang.Exception`

### engGetVector

    public double[] engGetVector(java.lang.Integer engineId,
                                 java.lang.String arrayS)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### engGetArray

    public double[][] engGetArray(java.lang.String arrayS)
                           throws java.lang.Exception

  Specified by:
    `engGetArray` in interface `JMatLinkInterface`
  Throws:
    `java.lang.Exception`

### engGetArray

    public double[][] engGetArray(java.lang.Integer engineId,
                                  java.lang.String arrayS)
                           throws java.lang.Exception

  Specified by:
    `engGetArray` in interface `JMatLinkInterface`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.